# Class SecurityConfig

java.lang.Object
org.apache.catalina.security.SecurityConfig

public final class SecurityConfig extends Object
Util class to protect Catalina against package access and insertion. The code are been moved from Catalina.java

## Method Summary

Modifier and Type
Method
Description
`static SecurityConfig`
`newInstance()`
Returns the singleton instance of that class.
`void`
`setPackageAccess()`
Set the security package.access value.
`void`
`setPackageDefinition()`
Set the security package.definition value.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### newInstance

public static SecurityConfig newInstance()
Returns the singleton instance of that class.

Returns:
  an instance of that class.

### setPackageAccess

public void setPackageAccess()
Set the security package.access value.

### setPackageDefinition

public void setPackageDefinition()
Set the security package.definition value.